Subject: Re: bug#66187: read-file-name unexpected behavior when MUSTMATCH is a function

From: Michael Heerdegen <[email-masked]>
Date: Wed, 04 Oct 2023 05:35:39 +0200

Joseph Turner via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Since completing-read is such a fundamental part of Emacs, I doubt it
> will be possible to change this behavior.

This is only about `read-file-name' - and MUST-MATCH being allowed to be
a function is quite new (June 2022).  If we have good reasons to change
the behavior because we find that the case when both MUST-MATCH and
PREDICATE are specified does not work intuitively I think it would still
be possible to tune it a bit.

But we have to know which behavior is more expected than what we
currently have.

Michael.